### Method

# Gtk PopoverMenu add_child

#### Declaration [src]

    gboolean
    gtk_popover_menu_add_child (
      GtkPopoverMenu* popover,
      GtkWidget* child,
      const char* id
    )

#### Description [src]

Adds a custom widget to a generated menu.

For this to work, the menu model of `popover` must have an item with a `custom` attribute that matches `id`.

#### Parameters

`child`

  Type: `GtkWidget`

  The `GtkWidget` to add.

  The data is owned by the caller of the method.

`id`

  Type: `const char*`

  The ID to insert `child` at.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `id` was found and the widget added.